﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace TestMySQL
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void btnVars_Click(object sender, EventArgs e)
        {
            string sQuery =
                @"SET @StartDate = NOW();
                SELECT @StartDate;";
            RunQuery(sQuery);
        }

        private void btnLastDay_Click(object sender, EventArgs e)
        {
            string sQuery =
                @"CREATE TEMPORARY TABLE `date_test` (
                  `id` int(11) NOT NULL auto_increment,
                  `created` datetime NOT NULL,
                  PRIMARY KEY  (`ID`)
                ) ENGINE=InnoDB DEFAULT CHARSET=latin1;

                INSERT INTO date_test (created) VALUES ('2009-05-31 23:55:00');
                INSERT INTO date_test (created) VALUES ('2009-05-31 23:56:00');
                INSERT INTO date_test (created) VALUES ('2009-05-31 23:57:00');
                INSERT INTO date_test (created) VALUES ('2009-05-31 23:58:00');
                INSERT INTO date_test (created) VALUES ('2009-05-31 23:59:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 00:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 1:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 2:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 3:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 4:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 5:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 6:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 7:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 8:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 9:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 10:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 11:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 12:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 13:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 14:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 15:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 16:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 17:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 18:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 19:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 20:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 21:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 22:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-01 23:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-02 00:00:00');
                INSERT INTO date_test (created) VALUES ('2009-06-02 00:01:00');
                INSERT INTO date_test (created) VALUES ('2009-06-02 00:02:00');
                INSERT INTO date_test (created) VALUES ('2009-06-02 00:03:00');
                INSERT INTO date_test (created) VALUES ('2009-06-02 00:04:00');
                INSERT INTO date_test (created) VALUES ('2009-06-02 00:05:00');

                SELECT
	                *
                FROM
	                date_test
                WHERE
	                created >= DATE_ADD(LAST_DAY(NOW() - INTERVAL 2 MONTH ), INTERVAL 1 DAY) AND 
	                created < DATE_ADD(LAST_DAY(NOW() - INTERVAL 1 MONTH ), INTERVAL 1 DAY);
                DROP TABLE date_test;";

            RunQuery(sQuery);
        }

        private void RunQuery(string Query)
        {
            MySqlConnection sqlConn = new MySqlConnection("Server=localhost;User Id=root;Password=xxxxxx;Persist Security Info=True;Database=test");
            DataSet ds = new DataSet();
            MySqlDataAdapter adReport = new MySqlDataAdapter(Query, sqlConn);
            adReport.MissingSchemaAction = MissingSchemaAction.AddWithKey;
            adReport.Fill(ds, "table");
            dgrResults.DataSource = ds.Tables[0];            
        }
    }
}
